Appli SONOS avec IOS9.3.5


Bonjour,
Jusqu'à la semaine dernière je pouvais contrôler mon système SONOS avec mon (vieux) Iphone (4S) qui fonctionne avec une version 9.3.5 de l'IOS, mais depuis la dernière mise à jour de mon installation je ne peux plus m'en servir.... est-ce définitif?
Merci de votre réponse
Clara

47 Commentaires

Niveau d'utilisateur 6
Badge +2
Je comprends votre demande et ne manquerai pas de la faire suivre vers nos développeurs.
Niveau d'utilisateur 1
Merci pour ces informations, mais sauf erreur, mes play 1, ma playbar et mon sub n'ont subi aucune mise à jour techniques ; ils doivent pouvoir encore fonctionner avec une vielle version du Controller si seulement je pouvais la réinstaller.
Dans ces conditions, pourquoi ne puis-je pas piloter mes appareils avec une application qui a déjà été développée par Sonos, que vous pourriez diffuser sur l'Appstore, et que vous pourriez rebaptiser pour les vieux appareils Apple ? Exemple : "Controller pour les vieux IPad/iPhone"
Niveau d'utilisateur 1
Bonsoir
Merci pour votre réponse. Les développeurs ne devraient pas rencontrer beaucoup de difficultés : il suffit de rebaptiser une ancienne version et de la mettre à disposition sur l'Appstore ...
Dans la mesure où nous devons être nombreux dans cette situation, je pense que Sonos gagnerait en image, auprès notamment de ses premiers clients, à procéder de la sorte.
Niveau d'utilisateur 6
Badge +2
Sonos continue de mettre à jour des produits que nous avons sortis il y a plus de dix ans, commes les Connect, Connect:Amp ou les Play:5 de première génération.
Si "obsolescence programmée" il y a, elle n'est pas de notre fait : ce n'est pas Sonos qui a décidé la fin du support pour iOS 9 et ce n'est pas Sonos qui décide du fait que votre iPad puisse être mis à jour ou pas.
Concernant les mises à jour Sonos elles mêmes, la mise à jour automatique peut être désactivée depuis les paramètres avancés de l'application.
Concrètement, il est difficile de garder un système Sonos actif sans le mettre à jour : il suffit qu'un contrôleur (tablette, téléphone ou ordinateur) dont l'application Sonos est à jour se connecte au système pour que ce dernier demande sa mise à niveau logicielle en constatant l'écart de version.
De plus, un système non mis à jour sur une période assez longue perd sa connectivité aux musiques en ligne (services musicaux, radios).
Badge
bonjour
je suis entièrement d'accord il faut véhiculer autour de nous ceux qui se sont fait arnaqué par sonos en programmation obsolescence de leur appli afin de nous forcer a changer de matériel et surtout de l'apple
je communique énormément et je peux vous dire qu'avec mon job je touche un max de personnes
marc andré merci du commentaire
Niveau d'utilisateur 6
Badge +2
Bonjour Dikastep.

Apple n'assure plus qu'un support limité sur iOS 9 et considère les iPads et iPhones ne pouvant être mis à jour vers une iOS plus récente commes des produits obsolètes.
Nous ne pouvons tout simplement pas continuer d'assurer la compatibilité de notre application pour des logiciels qui ne sont plus supportés par leur propre concepteur.
Niveau d'utilisateur 6
Badge +2
Maintenir l'application sur des versions non supportées constitue non seulement un coût mais surtout un risque potentiel pour la sécurité des utilisateurs : l'application Sonos utilisée sur un logiciel ne bénéficiant plus de mises à jour de sécurité par son développeur peut constituer une faille pouvant être exploitée pour un piratage.
Niveau d'utilisateur 5
Badge +3
Bonjour ClaraGH,

Malheureusement il vous faut iOS 10 maintenant :
https://www.sonos.com/fr-fr/software/release/10-0

l'Iphone 4S est considéré comme obsolète par Apple et ne possède plus de mises a jour depuis très longtemps :
https://support.apple.com/fr-fr/HT201624
Niveau d'utilisateur 1
Bonjour
Je suis dans la même situation de blocage depuis quelques jours avec mon "vieil" Ipad.
J'ajoute que je n'ai jamais procédé à la mise à jour dans la mesure où j'avais bien vu que la nouvelle version du controller nécessite ios 10.
Je ne comprends pas pourquoi Sonos ne fait pas en sorte que le matériel que j'ai acquis continue de fonctionner normalement.
Autrement dit : comment justifiez vous le fait de m'obliger à acquérir un nouveau matériel Apple pour que je continue d'utiliser mon équipement Sonos ?
Niveau d'utilisateur 1
Je ne demande pas à bénéficier des evolutions ...
Je souhaite simplement continuer d'utiliser mes produits comme je le faisais encore il y a quelques jours.
Pourquoi ne puis je plus le faire alors que je n'ai rien modifié à ma configuration, ni en hard ni en software ?
Accessoirement, lorsque j'ai acheté mes produits Sonos, personne ne m'a mis en garde contre cette "obsolescence programmée" de ma configuration ... ni chez le vendeur, ni dans la documentation d'accompagnement.
Idem pour moi avec mon iPad 2 depuis quelques jours. Si Sonos ne trouve pas de solution je vais me sentir obligé de porter mon système Sonos à la décheterie et m'orienter vers autre chose. J'étais en pleine réflexion pour changer mon home cinéma et m'orienter vers un système plus léger, et bien je sais ce que je ne vais pas acheter : SONOS. A moins qu'une solution sorte du chapeau mais je n'y crois guère.
Badge
Je sais que cela ne résoudra pas votre problème de vieux Iphone ou Ipad, mais pour les appareils Android, c'est le même problème ! Et effectivement je pense que la possibilité de télécharger une ancienne version du contrôleur Sonos serait un bon point pour l'image du produit Sonos que je trouve très bien par ailleurs. On nous parle de plus en plus de "sauver la planète" en ne gaspillant pas les ressources, Aller les gars de Sonos, dévoilez votre côté "vert", ne nous obligez pas à consommer de l’électronique quand c'est inutile....
Badge
Bonjour et merci pour votre réponse. Certes, je comprends l’argument de la faille de sécurité. Mais si tous ces éléments sont expliqués lors de la proposition de mise à jour (c’est-à-dire, le risque de sécurité si pas de mise à jour, l’obsolescence des terminaux si mises à jour etc.), l’utilisateur peut décider, sous sa responsabilité, de son choix, compte tenu de l’environnement dans lequel son système est installé. Et si son choix lui explose à la figure, c’est son problème, pas celui de l’éditeur. Mais dans la situation actuelle, vous nous contraignez, et dans une relation client/fournisseur, c’est rarement bien perçu.
Ceci dit, je comprends que mon avis n’est peut-être pas représentatif de la communauté des utilisateurs Sonos. Il n’est la que pour faire partie de l’environnement dans lequel Sonos décide sous sa responsabilité, de ses choix en la matière.
Bonjour,

Il faudrait que nous puissions réinstaller une ancienne versions, 10.0.x
Cela sera t il possible?
J'ai le même problème : je suis scandalisé par cette situation. A minima, il faudrait pouvoir revenir sur la version antérieure. Compte-tenu des impacts de cette dernière mise à jour, je ne comprends pas pourquoi nous n'avons pas eu une mise en garde avant le lancement de la mise à jour comme nous en avons une si nous tentons une installation depuis AppleStore. Conclusion : abandonner Apple, mais ça, j'en suis convaincu depuis longtemps !
Je suis super déçu de cette situation car j'étais hyper satisfait du système Sonos. Je pense que ce serait bien pour l'image de permettre de revenir sur la version antérieure.
Niveau d'utilisateur 1
Merci pour votre réponse.
Dont acte !
Pouvez-vous nous dire au moins si quelqu'un chez Sonos cherche à résoudre notre problème, d'une manière ou d'une autre ?
Si la seule solution consiste à acheter un nouvel appareil Apple, admettez que c'est choquant pour les utilisateurs de votre marque !
Nos Play 1, PlayBar et autre Sub, notre Ipad (qui nous ont coûté quelques centaines d'euros, excusez du peu) ne datent que de quelques années, pas du siècle dernier !... et nous ne sommes pas tous des zozos qui avons frénétiquement besoin du dernier modèle d'Ipad ou d'Iphone ...
Par ailleurs, j'ai eu beau re consulter la documentation jointe à mes appareils : nulle part il n'est fait état de ce sujet d'obsolescence (certes indirecte) programmée !
Lorsque j'ai acheté mon premier équipement, le vendeur a au contraire valorisé le fait que je pouvais piloter mes enceintes avec mon Ipad, sans autre précision sur la version de l'IOS.
Les vendeurs de la FNAC à qui j'en ai parlé disent eux-mêmes qu'ils n'ont découvert le problème que tout récemment lorsque leurs "anciens clients", comme moi les ont alertés ! Leur moue de dépit en dit long sur le crédit qu'ils apportent désormais à votre marque ... ce qui explique peut-être l'espace réduit attribué depuis quelques mois à vos produits.
Sincèrement, si vous ne travaillez pas à une solution, je pense que ce sera assez ravageur pour votre marque dans les années à venir ...
En tout état de cause, si rien n'est fait, comme l'a suggéré un de mes "compagnons d'infortune", je pense que je prodiguerai moi aussi à l'avenir des "conseils dissuasifs" à celles et ceux que je vois devant le rayon Sonos de la FNAC (et croyez moi, j'y suis souvent !...)
Badge
moi je continue a la fnac de dire au gens que s'il achète sonos ils ne vont pas pouvoir l'utiliser dans 2 ou 3 ans
idem chez ikea j'ai des amis qui font comme moi on est un petit groupe a dire au gens que s'ils achètent sonos pas sur que ds 2 ans ça soit encore compatible a avec leur tel ou tablette si tout le monde fait ça au moins les gens de sonos nous prendrons moins pour des ....
car je rappelle qu'il es très facile pour sonos de mettre une ancienne version a dispo sur nos tablettes ou tel et de ne pas rejeter la faute sur les autres, je suis de tout coeur avec Dikastep
rock
Niveau d'utilisateur 2
Bonjour
Je suis très déçu de cette politique commerciale de sonos qui impose à ses utilisateurs de racheter régulièrement du matériel informatique pour continuer d'utiliser leur système. Je suis en colère, sonos ne respecte pas ses clients en agissant de la sorte, honte à eux.
Niveau d'utilisateur 6
Badge +2
La piste d'une interface HTTP est effectivement intéressante et a été soumise à nos développeurs.
Je ne peux en revanche pas vous indiquer si ou quand cette solution sera adoptée dans le futur.
Niveau d'utilisateur 5
Badge +3
Bonjour Phil_Woo,

C'est vrai que le minimum serait de prévenir l'utilisateur avant l'installation que notre version de Ios ne sera plus compatible avec la nouvelle mise à jour

C'est effectivement le cas, un email ainsi qu'un message dans la boîte de réception de l'application Sonos a été diffusé aux possesseurs de version iOS9 & Android 4.4 en janvier 2019, que ses appareils ne seraient plus supportés à terme si ceux-ci ne sont pas mis à jour sur une version plus récente. Ios9 n'est plus supporter ni mis à jour depuis 2017 par son propre constructeur, nous avons donc continué à le supporter 2 ans de plus. Il en va de même pour Android et sa version 4.4 qui date elle de 2013 (la dernière mise à jour 4.4 dates d'octobre 2017) là encore plus de 2 ans après l'arrêt du support par son propre constructeur.
Niveau d'utilisateur 5
Badge +3
Bonjour OlivierB,

Vous disposez de 100 jours si votre achat a été éffectuée sur notre site web. Concernant les achats chez un revendeur, il vous faut vérifier directement avec eux.

Chaque boîte mentionne une version différente (même entre les Play: 1 elle-même). Nous en sommes désolés, mais votre ipad est consideré comme obsolète par Apple, et né fournit plus de MAJ pour celui-ci.
Ne serait-il pas possible d'offrir une interface HTTP sur l'appareil lui-même auquel nous pourrions nous connecter ?
Ou alors un site internet ?
Par ailleurs le message indique "merci de mettre à jour votre appareil". Pas très sympa. Sachez que si cela avait été possible, nous l'aurions fait depuis longtemps 🙂
Badge
Pareil pour moi...
Mais avec Android... Et pareil que les autres, je trouve très limite qu'il soit indiqué sur la boite de mon connect une version d'android qui n'est plus supporté aujourd'hui.
Comme les autres, j'aimerais bien avoir une ancienne version pour mon ancien téléphone... Tout marchait très bien et, d'un coup, Sonos décrète que ça ne marchera plus... Je trouve ça bien dommage.
Comme déjà indiqué, il ne devrait pas être obligatoire de passer aux nouvelles versions quitte à ne plus avoir les nouveautés...
Faille de sécurité ? Oui peut-être ? Et alors ? Il me semble que je devrais pouvoir avoir le droit d'en assumer la responsabilité. Encore faudrait-il que Sonos m'en laisse la possibilité...
Bref, je vais devoir payer 500€ totalement injustifié et injustifiable juste pour pouvoir utiliser du matos que j'ai déjà payé une sacré somme (justifiée cette fois)
Vraiment déçu de cette politique commerciale. Et dire que j'ai acheté une Sonos One il y a pas 2 semaines pour me rendre compte 3 jours après que je ne pourrais pas l'utiliser...

edit : j'oubliais... Puisque vous parlez de nouveautés, de mise à jour, de ne pas utiliser d'outils obsolètes etc... Pourquoi continuer à utiliser un client lourd ? Faites comme tous les acteurs du monde informatique et passez au client léger. Au moins plus de problème... Enfin sauf à partir du moment où l'on ne peut plus mettre à jour son navigateur internet sur le téléphone mais, à priori, le téléphone lâchera avant que son navigateur ne puisse plus être mise à jour...
C'est bien ce qu'on appelle de l’obsolescence programmée (au sens informatique du terme !!)
c'est à voir, en effet, car les Sonos sont déjà atteignables via web

:1400/status/ifconfig
Badge
bonjour
même problème pour moi j'ai acheter le système sonos au début je l'ai conseille plein de gens qui l'ont acheté.Je pense que rejeter la faute sur iOS et android et trop facile , même l'excuse de la sécurité quand on sait que beaucoup d'applications fonctionnent encore si votre appareil n'a pas la dernière mise a jour vous pouvez télécharger les anciennes version il est donc très facile pour vos développeurs de le faire
je suis même certain que la solution existe c'est juste une question de volonté de la part de sonos
je ne pensais pas parler un jour d obsolescence programme de la part de la marque Sonos !!!!!!

Commenter